net.minecraft.client.renderer.texture

## Class TextureManager

- java.lang.Object
- - net.minecraft.client.renderer.texture.TextureManager

-     public class TextureManager
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextureManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `createNewTexture(String textureName, String textureFile, TextureStitched stitched)`
    `void` | `func_94259_a(Texture par1Texture)`
    `Texture` | `func_94261_a(String par1Str, int par2, int par3, int par4, int par5, int par6, int par7, int par8, boolean par9, BufferedImage par10BufferedImage)`
    `Stitcher` | `func_94262_d(String par1Str)`
    `static void` | `func_94263_a()`
    `void` | `func_94264_a(String par1Str, Texture par2Texture)`
    `int` | `func_94265_c()`
    `List` | `func_94266_e(String par1Str)`
    `static TextureManager` | `func_94267_b()`
    `Texture` | `func_98145_a(String par1Str, int par2, int par3, int par4, int par5)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextureManager

          public TextureManager()

  - ### Method Detail

    - #### func_94263_a

          public static void func_94263_a()

    - #### func_94267_b

          public static TextureManager func_94267_b()

    - #### func_94265_c

          public int func_94265_c()

    - #### func_94264_a

          public void func_94264_a(String par1Str,
                          Texture par2Texture)

    - #### func_94259_a

          public void func_94259_a(Texture par1Texture)

    - #### func_94262_d

          public Stitcher func_94262_d(String par1Str)

    - #### func_94266_e

          public List func_94266_e(String par1Str)

    - #### createNewTexture

          public List createNewTexture(String textureName,
                              String textureFile,
                              TextureStitched stitched)

    - #### func_94261_a

          public Texture func_94261_a(String par1Str,
                             int par2,
                             int par3,
                             int par4,
                             int par5,
                             int par6,
                             int par7,
                             int par8,
                             boolean par9,
                             BufferedImage par10BufferedImage)

    - #### func_98145_a

          public Texture func_98145_a(String par1Str,
                             int par2,
                             int par3,
                             int par4,
                             int par5)